def module_pjp(msg_body, sender_nick, config)

	require 'rubygems'
	require 'net/http'
	require 'cgi'
	require 'iconv'
	require 'open-uri'
	require 'htmlentities'

	def pjp(pjp_number)
		if pjp_number =~ /^\d/
			response = Net::HTTP::get_response('pourquoijepirate.fr', "/index.php?id=#{pjp_number}")
		else
			response = Net::HTTP::get_response('pourquoijepirate.fr', "/index.php")
		end
		html = response.body
		html.scan(/<div id="fortune">(.+?)<h2>/m) { |content|
		if content != ""
			return HTMLEntities.new.decode(content)
		end
		}
	end

	if msg_body =~ /^!pirate/
		answer = "Pourquoi je pirate ?" + pjp(msg_body.gsub(/!pirate(\s|)/, ''))
		return answer
	end
end